---
name: skills-installer
description: Install skills from skills.sh globally using the npx skills CLI. Use when user asks to "install a skill", "add a skill globally", "find skills for X", "browse skills.sh", or wants to discover and install agent skills from the skills.sh directory.
---

# Skills Installer

Install agent skills from skills.sh to extend Claude's capabilities.

## Installation Commands

```bash
# List available skills in a repo
npx skills add <owner/repo> --list

# Install specific skill to project
npx skills add <owner/repo> --skill <skill-name> --agent claude-code --yes

# Install specific skill globally
npx skills add <owner/repo> --skill <skill-name> --agent claude-code --global --yes

# Install all skills from repo globally
npx skills add <owner/repo> --agent claude-code --global --all
```

## Popular Skill Repositories

| Repository | Skills | Use Case |
|------------|--------|----------|
| cloudflare/skills | wrangler, web-perf, agents-sdk, durable-objects | Cloudflare Workers, performance |
| vercel-labs/agent-skills | vercel-react-best-practices, web-design-guidelines | React/Next.js, web design |
| anthropics/skills | frontend-design, skill-creator | UI design, skill creation |
| expo/skills | building-native-ui | React Native, mobile |
| better-auth/skills | better-auth-best-practices | Authentication |
| remotion-dev/skills | remotion-best-practices | Video creation |
| stripe/ai | stripe-ai | Payment integrations |

## Workflow

1. Browse https://skills.sh/ for available skills
2. List skills in a repo: `npx skills add <owner/repo> --list`
3. Install globally: `npx skills add <owner/repo> --skill <name> --agent claude-code --global --yes`

## CLI Options

- `--list` - List available skills without installing
- `--skill <name>` - Install specific skill(s)
- `--agent <agent>` - Target agent (claude-code, opencode, cursor, codex, etc.)
- `--global` - Install to user level (~/.agents/skills/)
- `--yes` - Skip confirmation prompts
- `--all` - Install all skills to all agents

## Installation Locations

- **Project-level**: `./.agents/skills/<skill-name>/` with symlink to `./.claude/skills/`
- **Global**: `~/.agents/skills/<skill-name>/` with symlink to `~/.claude/skills/`
